Bug 1698150

Summary: Sakura terminal segfaults on original tab close
Product: [Fedora] Fedora Reporter: Jorge Gallegos <kad>
Component: sakuraAssignee: Filipe Rosset <rosset.filipe>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 29CC: admiller, cwickert, rosset.filipe
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: sakura-3.6.0-4.fc28 sakura-3.6.0-4.fc29 sakura-3.6.0-4.fc30 sakura-3.6.0-4.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-25 23:24:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jorge Gallegos 2019-04-09 17:15:39 UTC
Description of problem:
Sakura terminal segfaults when the original tab is closed

Version-Release number of selected component (if applicable):
3.6.0

How reproducible:
Always

Steps to Reproduce:
1. Open sakura
2. Optionally, open more sakura tabs in the same window
3. Close the original tab, sakura segfaults

Actual results:
Segfault

Expected results:
Clean exit

Additional info:
Patch has been already published upstream here https://bugs.launchpad.net/sakura/+bug/1790317

Comment 1 Jorge Gallegos 2019-04-09 17:17:26 UTC
Seems like #1641276 has all the crash reports for this bug

Comment 2 Filipe Rosset 2019-04-09 17:41:54 UTC
I'll handle this patch in next hours.

Comment 3 Fedora Update System 2019-04-14 17:17:30 UTC
sakura-3.6.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1de963c5ac

Comment 4 Fedora Update System 2019-04-14 17:17:36 UTC
sakura-3.6.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4204b24430

Comment 5 Fedora Update System 2019-04-14 17:17:42 UTC
sakura-3.6.0-4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e459ccb6d

Comment 6 Fedora Update System 2019-04-14 17:17:48 UTC
sakura-3.6.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-87bebb680e

Comment 7 Fedora Update System 2019-04-15 01:42:58 UTC
sakura-3.6.0-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e459ccb6d

Comment 8 Fedora Update System 2019-04-15 15:15:58 UTC
sakura-3.6.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-87bebb680e

Comment 9 Fedora Update System 2019-04-15 16:20:05 UTC
sakura-3.6.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4204b24430

Comment 10 Fedora Update System 2019-04-15 20:43:41 UTC
sakura-3.6.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1de963c5ac

Comment 11 Fedora Update System 2019-04-25 23:24:27 UTC
sakura-3.6.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-26 22:29:02 UTC
sakura-3.6.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-27 21:24:37 UTC
sakura-3.6.0-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-05-10 03:15:16 UTC
sakura-3.6.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.